/*******************************************************************************************************
 * Pomocne funkce pro manipulaci se znakovym retezcem string.
 * Lukas Fritsch
 * rev. 17.7.11.0
 *******************************************************************************************************/

#include "StringManipulationRoutines.h"

int GetStrLen(char* str)
//vrati delku retezce ve znacich. Retezec, na nejz ukazuje str, je nulou ukonceny retezec.
{
  int iLen=0;
  while(str[iLen]!=0)
  {
    iLen++;
  }
  return iLen;
}

bool StartsWith(char* strToScan, char* strToFind)
//overi, zda retezec strToScan zacina retezcem strToFind. Porovnavani je case sensitive.
//Vrati true, zacina-li timto retezcem, false jinak.
{
  int iLenA=GetStrLen(strToScan);
  int iLenB=GetStrLen(strToFind);
  int iIndex=0;
  if(iLenA>=iLenB&&iLenA>0)
  {
    while((iIndex<iLenB)&&(strToScan[iIndex]==strToFind[iIndex]))
    {
      iIndex++;
    }
    return (iIndex==iLenB);
  }
  return false;
}

